STAT(1)

NAZWA
stat - drukuj status pliku lub systemu plików

SKŁADNIA
stat [OPCJA] PLIK...

OPIS

Wyświetla status pliku lub systemu plików

-f, --filesystem
    wyświetla informacje o stanie systemu plików, a nie o stanie pliku

-c  --format=FORMAT
    używa podanego FORMATU zamiast formatu domyślnego

-l, --dereference
    podąża za linkami

-t, --terse
    wyświetla informacje w zwięzłej postaci

--help
    wyświetla pomoc i kończy działanie

--version
    wyświetla informacje o wersji i kończy działanie

Poprawne sekwencje formatu dla plików (jeżeli nie podano opcji --filesystem):

     %A - prawa dostępu w formie czytelnej dla człowieka
     %a - prawa dostępu ósemkowo
     %b - liczba zaalokowanych bloków
     %D - numer urządzenia szesnastkowo
     %d - numer urządzenia w systemie dziesiętnym
     %F - typ pliku
     %f - tryb pliku szesnastkowo
     %G - nazwa grupy, która jest właścicielem pliku
     %g - identyfikator grupy, która jest właścicielem pliku
     %h - liczba twardych dowiązań
     %i - numer węzła (inode)
     %N - nazwa pliku w apostrofach ze wskazaniem linków symbol.
     %n - nazwa pliku
     %o - rozmiar bloku wejścia/wyjścia
     %s - całkowity rozmiar w bajtach
     %T - poboczny (minor) typ urządzenia szesnastkowo
     %t - główny (major) typ urządzenia szesnastkowo
     %U - nazwa właściciela pliku
     %u - identyfikator właściciela pliku
     %X - czas ostatniego dostępu podany jako liczba sekund od epoki
     %x - czas ostatniego dostępu
     %Y - czas ostatniej modyfikacji jako liczba sekund od epoki
     %y - czas ostatniej modyfikacji
     %Z - czas ostatniej zmiany podany jako liczba sekund od epoki
     %z - czas ostatniej zmiany

Poprawne sekwencje formatu dla systemów plików:

     %a - liczba wolnych bloków dostępnych dla nie-administratorów
     %b - całkowita liczba bloków danych w systemie plików
     %c - całkowita liczba węzłów w systemie plików
     %d - liczba wolnych węzłów w systemie plików
     %f - liczba wolnych bloków w systemie plików
     %i - identyfikator systemu plików szesnastkowo
     %l - maksymalna długość nazw plików
     %n - nazwa pliku
     %s - optymalny rozmiar bloku przy transferze
     %T - typ w formie czytelnej dla człowieka
     %t - typ szesnastkowo

AUTOR
Napisane przez Michaela Meskesa.

ZGŁASZANIE BŁĘDÓW
Prosimy zgłaszać błędy do <bug-fileutils@gnu.org>.

PRAWA AUTORSKIE
Copyright © 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
Pełna dokumentacja programu stat jest utrzymywana w postaci podręcznika texinfo. Jeżeli programy info i stat zostały poprawnie zainstalowane, to za pomocą polecenia

    info stat

można uzyskać dostęp do pełnej wersji podręcznika.